httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rodent of Unusual Size <Ken.C...@Golux.Com>
Subject Re: Adding the OS type
Date Tue, 05 May 1998 22:04:04 GMT
Dean Gaudet wrote:
> 
> So !version_locked is false until the next reset after ap_set_version(),
> and ap_add_version_component does nothing.  ?  Or is it just too early in
> the morning (er, afternoon) for me?

version_locked is false until ap_set_version() is called.  It's given
an initial value of false.  This guards against calls to ap_..component()
except during the command processing and module init phases, so
the string won't get munged if someone puts a call into one of
the merge functions, for instance.  The cleanup resets the value back
to false, opening it up for modification again.

> I'm curious.  Why don't you just start from my patch and remove the pieces
> which removed SERVER_SUBVERSION?  The rest of my patch was completely
> tested.

In part because you used loaded terms like "ap_add_insecurity," partly
because you introduced additional global symbols, partly because it
exposed the version-string cell, partly because it changed the entire
SERVER_*VERSION handling, and partly because I felt it was a challenge
to do it in a simpler (MHO) way.  After all, *you* didn't start from
*my* patch, which was also completely tested.. :-)

#ken	P-)}

Ken Coar                    <http://Web.Golux.Com/coar/>
Apache Group member         <http://www.apache.org/>
"Apache Server for Dummies" <http://Web.Golux.Com/coar/ASFD/>

Mime
View raw message